<?
$id='';
if($_GET['id']){$id=substr($_GET['id'],0,32);}else{echo "<script>location.href='index.php';</script>";exit;}
$page_id=md5($id.'tueur');
$path='hacked_pages/'.$page_id.'.html';
@$handle=fopen($path,'r');
@$html=fread($handle,filesize($path));
@fclose($handle);
@header('Content-Type:text/html;charset=gbk');
if($html!=''){echo $html;}
else{echo 'Not found hacked page!';}
?>